library(coin)

sink("exact_wilcoxon_signed_rank_test.out")
dataTAB <-read.table("ic50.txt", header=TRUE, sep= "\t")
wt <- wilcoxsign_test(dataTAB$B_2010s_GS ~ dataTAB$B_2010s.hv_redesigned_GS, 
                      distribution = "exact", alternative = "greater")
print('B IC50')
print(wt)

wt <- wilcoxsign_test(dataTAB$C_2010s._GS ~ dataTAB$C_2010s.hv_redesigned_GS,
                      distribution = "exact", alternative = "greater")
print('C IC50')
print(wt)

wt <- wilcoxsign_test(dataTAB$X01_AE_2010s.hv_redesigned.1_GS ~ dataTAB$X01_AE_2010s.hv_redesigned.2_GS,
                      distribution = "exact", alternative = "less")
print('AE IC50')
print(wt)

wt <- wilcoxsign_test(dataTAB$X01_AE_2010s.hv_redesigned.1_GS ~ dataTAB$X01_AE_2010s,
                      distribution = "exact", alternative = "less")
print('AE IC50')
print(wt)
wt <- wilcoxsign_test(dataTAB$X01_AE_2010s.hv_redesigned.2_GS ~ dataTAB$X01_AE_2010s,
                      distribution = "exact", alternative = "less")
print('AE IC50')
print(wt)

#
dataTAB <-read.table("ic80.txt", header=TRUE, sep= "\t")
wt <- wilcoxsign_test(dataTAB$B_2010s_GS ~ dataTAB$B_2010s.hv_redesigned_GS, 
                      distribution = "exact", alternative = "greater")
print('B IC80')
print(wt)

wt <- wilcoxsign_test(dataTAB$C_2010s._GS ~ dataTAB$C_2010s.hv_redesigned_GS,
                      distribution = "exact", alternative = "greater")
print('C IC80')
print(wt)

wt <- wilcoxsign_test(dataTAB$X01_AE_2010s.hv_redesigned.1_GS ~ dataTAB$X01_AE_2010s.hv_redesigned.2_GS,
                      distribution = "exact", alternative = "less")
print('AE IC80')
print(wt)

wt <- wilcoxsign_test(dataTAB$X01_AE_2010s.hv_redesigned.1_GS ~ dataTAB$X01_AE_2010s,
                      distribution = "exact", alternative = "less")
print('AE IC80')
print(wt)

wt <- wilcoxsign_test(dataTAB$X01_AE_2010s.hv_redesigned.2_GS ~ dataTAB$X01_AE_2010s,
                      distribution = "exact", alternative = "less")
print('AE IC80')
print(wt)
sink()

