#!/usr/bin/env python

import random
import collections

import pandas as pd


def main():
    prog='../../../src/depth_asa.py'
    with open('./all_models.score') as infile:
        for line in infile.readlines():
            fn, score = line.strip().split()
            tag = fn.replace('.pdb.gz', '')
            print(f'{prog} -p 30 -e 20 --byres {fn} -o asa_depth/{tag}.depth_asa')


if __name__ == '__main__':
    main()
