#!/usr/bin/env python

import random
import collections

import pandas as pd


def main():
    df = pd.read_csv('./hvseg_tobe_rebuilt.txt', delim_whitespace=True)
    for idx in df.index:
        env, v1hv, v2hv, v4hv, v5hv, file = df.loc[idx, :].values
        #for i in range(1, 201):  # 001-200
        for i in range(201, 501):  # 201-501
            print(f'./build_loop.py -pdb {file} -loops {v1hv},{v2hv},{v4hv},{v5hv} -o {env}.kic_loops.{i:03d}.pdb.gz')

if __name__ == '__main__':
    main()
